<template functional>
  <a-sub-menu :key="props.menuInfo.id+'-'+props.menuInfo.name">
    <span slot="title"><span>{{props.menuInfo.name + '(' + props.menuInfo.userTotalCount + ')'}}</span></span>
    <template v-if="props.menuInfo.orgStructures && props.menuInfo.orgStructures.length > 0">
      <a-menu-item-group :key="props.menuInfo.name + '1'">
        <a-menu-item :key="dep.id +'-'+dep.orgName" v-for="(dep, i) in props.menuInfo.orgStructures">
          {{ dep.orgName + '(' + dep.userCount + ')' }}
        </a-menu-item>
      </a-menu-item-group>
    </template>
    <template v-if="props.menuInfo.children && props.menuInfo.children.length > 0">
      <a-menu-item-group :key="props.menuInfo.name + '2'">
        <sub-menu v-for="(child, index) in props.menuInfo.children" :menu-info="child"></sub-menu>
      </a-menu-item-group>
    </template>
  </a-sub-menu>
</template>

<script>
import subMenu from "@/views/Admin/contactBook/subMenu";
export default {
  name: 'pspSubMenu',
  components: {
    subMenu
  },
  props: ['menuInfo'],
  data(){
    return {

    }
  },
  created(){

  },
  mounted() {
    console.log(this.$props,55)
  },
  methods: {

  }
}
</script>
<style lang="scss" scoped>

</style>
